Use SVG context paint instead of an feComposite filter to color the browser/skin/gear.svg icon
As part of fixing bug 1359073 we should use SVG context paint instead of an feComposite filter to color the icon chrome://browser/skin/gear.svg